#!/usr/bin/env gnuplot -c
# == DEFINICIONS ==
outputfile = '../output/fil_espira_foucault' # Nom de la imatge resultant (sense extensió)
datafile = '../data/fil_espira_foucault.dat' # Nom del fitxer de dades que es vol usar
error_sist_b = 0.2

# == CONFIGURACIÓ DE L'OUTPUT PEL LATEX ==
set terminal cairolatex size 10cm, 7cm
set output outputfile.'.tex'

# == CONFIGURACIÓ DEL PLOT ==
set xlabel 'Temps ($\si{\second}$)'
set ylabel 'Tensió ($\si{\milli\volt}$)'

# Opcions per la llegenda:
#set key above
#set key spacing 1.5

plot [0:3] datafile u 1:2 t "Fil" w l, datafile u (column(1) + 0.1):3 t "Espira" w l, datafile u (column(1) - 0.6):4 t "Foucault" w l

# == CONFIGURACIÓ DE L'OUTPUT PER SVG ==
# Això ho uso per generar també una imatge de previsualització que puc carregar
# a l'ordinador per veure més o menys com a sortit el plot sense haver
# d'inserir-ho al LaTeX per veure-ho.
set terminal svg dashed size 600, 600 font "Computer Modern,Tinos,Helvetica,15"
set output outputfile.'.svg'
replot
